%define major 1
%define libname %mklibname mp4v2_ %major
%define develname %mklibname -d mp4v2
%define olddevelname %mklibname -d mpeg4ip
%define oname mp4v2
Summary: Library for working with files using the mp4 container format
Name: libmp4v2
Version: 1.9.1
Release: %mkrel 1
Epoch: 1
License: MPLv1.1
Group: Sound
URL: http://code.google.com/p/mp4v2/
Source0: http://mp4v2.googlecode.com/files/%oname-%version.tar.bz2
Patch: mp4v2-2.0-20090110-format-strings.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The libmp4v2 library provides an abstraction layer for working with files
using the mp4 container format. This library is developed by mpeg4ip project
and is an exact copy of the library distributed in the mpeg4ip package.


%package -n %libname
Group: System/Libraries
Summary: Library for working with files using the mp4 container format

%description -n %libname
The libmp4v2 library provides an abstraction layer for working with files
using the mp4 container format. This library is developed by mpeg4ip project
and is an exact copy of the library distributed in the mpeg4ip package.

%package -n %develname
Summary: Development files for the mp4v2 library
Group: Development/C++
Requires: %{libname} = %epoch:%{version}-%{release}
Provides: libmp4v2-devel = %epoch:%{version}-%{release}
Conflicts: %olddevelname < 1.6.1-0.20070928.3

%description -n %develname
Development files and documentation needed to develop and compile programs
using the libmp4v2 library.

%package utils
Group: Sound
Summary: Command line utils to handle MP4 metadata
Conflicts: mpeg4ip < 1.6.1-0.20070928.3

%description utils
The libmp4v2 library provides an abstraction layer for working with files
using the mp4 container format. This library is developed by mpeg4ip project
and is an exact copy of the library distributed in the mpeg4ip package.

This contains the command line example utilities.

%prep
%setup -q -n %oname-%version
%patch -p1

%build
%configure2_5x \
    --disable-static \
    --disable-dependency-tracking
%make


%install
rm -rf %{buildroot}
%makeinstall_std
rm -rf %{buildroot}%{_mandir}/manm/


%clean
rm -rf %{buildroot}


%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif


%files utils
%defattr(-,root,root,0755)
%doc COPYING
%{_bindir}/*

%files -n %libname
%defattr(-,root,root,0755)
%doc COPYING
%{_libdir}/libmp4v2.so.%{major}*

%files -n %develname
%defattr(-,root,root,0755)
%doc doc/*.txt
%{_includedir}/mp4v2/
%exclude %{_libdir}/*.la
%{_libdir}/*.so
%{_mandir}/man?/*




%changelog
* Wed Jul 15 2009 Götz Waschk <waschk@mandriva.org> 1:1.9.1-1mdv2010.0
+ Revision: 396216
- update to new version 1.9.1

* Wed May 27 2009 Götz Waschk <waschk@mandriva.org> 1:1.9.0-1mdv2010.0
+ Revision: 380197
- new version
- add epoch

* Mon May 18 2009 Götz Waschk <waschk@mandriva.org> 2.0-0.20090515.1mdv2010.0
+ Revision: 376833
- new snapshot

* Mon Jan 12 2009 Götz Waschk <waschk@mandriva.org> 2.0-0.20090110.1mdv2009.1
+ Revision: 328531
- switch to new fork
- update file list
- fix format strings

* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5.0.1-2mdv2009.0
+ Revision: 264840
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 1.5.0.1-1mdv2009.0
+ Revision: 192388
- import libmp4v2


* Mon Mar 31 2008 Götz Waschk <waschk@mandriva.org> 1.5.0.1-1mdv2008.1
- initial Mandriva package based on the Fedora spec

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.5.0.1-6
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Matthias Saou <http://freshrpms.net/> 1.5.0.1-5
- Rebuild for new BuildID feature.

* Sun Aug  5 2007 Matthias Saou <http://freshrpms.net/> 1.5.0.1-4
- Update License field.

* Fri Dec 15 2006 Matthias Saou <http://freshrpms.net/> 1.5.0.1-3
- Spec file cleanup (habits, mostly) preparing to submit for Extras inclusion.

* Fri Oct 06 2006 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 1.5.0.1-2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Jul 18 2006 Noa Resare <noa@resare.com> 1.5.0.1-1
- new upstream release

* Sat May 13 2006 Noa Resare <noa@resare.com> 1.4.1-3
- disabled static lib
- use DESTDIR
- disable-dependency-tracking for faster builds
- removed a manpage template file apt.mpt.gz

* Mon May 08 2006 Noa Resare <noa@resare.com> 1.4.1-2
- specfile cleanups

* Fri May 05 2006 Noa Resare <noa@resare.com> 1.4.1-1.lvn5
- initial release

